Debian Bug report logs - #632614
FTBFS on armhf, fails tests/demo-nopic-make.test

version graph

Package: libtool; Maintainer for libtool is Kurt Roeckx <kurt@roeckx.be>; Source for libtool is src:libtool.

Reported by: Clint Adams <clint@debian.org>

Date: Mon, 4 Jul 2011 02:21:02 UTC

Severity: normal

Tags: patch

Found in version libtool/2.4-2

Fixed in versions libtool/2.4-3, libtool/2.4-4

Done: Kurt Roeckx <kurt@roeckx.be>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Kurt Roeckx <kurt@roeckx.be>:
Bug#632614; Package libtool. (Mon, 04 Jul 2011 02:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <clint@debian.org>:
New Bug report received and forwarded. Copy sent to Kurt Roeckx <kurt@roeckx.be>. (Mon, 04 Jul 2011 02:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Clint Adams <clint@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBFS on armhf, fails tests/demo-nopic-make.test
Date: Mon, 4 Jul 2011 02:18:35 +0000
[Message part 1 (text/plain, inline)]
Package: libtool
Version: 2.4-2
User: debian-arm@lists.debian.org
Usertags: armhf

test-suite.log attached:

[test-suite.log (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Kurt Roeckx <kurt@roeckx.be>:
Bug#632614; Package libtool. (Tue, 12 Jul 2011 02:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <zumbi@debian.org>:
Extra info received and forwarded to list. Copy sent to Kurt Roeckx <kurt@roeckx.be>. (Tue, 12 Jul 2011 02:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 632614@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: Clint Adams <clint@debian.org>, 632614@bugs.debian.org
Subject: Re: Bug#632614: FTBFS on armhf, fails tests/demo-nopic-make.test
Date: Tue, 12 Jul 2011 03:54:15 +0100
[Message part 1 (text/plain, inline)]
Hello,

On Mon, Jul 04, 2011 at 02:18:35AM +0000, Clint Adams wrote:
 
> 1 of 122 tests failed.  (2 tests were not run).  
[..]
> /usr/bin/ld: .libs/hello.o: relocation R_ARM_THM_MOVW_ABS_NC against `a local symbol' can not be used when making a shared object; recompile with -fPIC
> .libs/hello.o: could not read symbols: Bad value
> collect2: ld returned 1 exit status
> make: *** [libhello.la] Error 1

The following patch taken from Ubuntu delta seems to fix the problem by
disabling such test (tested patch):


diff -Nru libtool-2.4/debian/changelog libtool-2.4/debian/changelog
--- libtool-2.4/debian/changelog        2011-04-07 21:14:37.000000000 +0100
+++ libtool-2.4/debian/changelog        2011-07-11 14:43:58.000000000 +0100
@@ -1,3 +1,9 @@
+libtool (2.4-3) unstable; urgency=low
+
+  * Skip non-PIC on arm
+
+ -- Hector Oron <zumbi@debian.org>  Mon, 11 Jul 2011 14:42:06 +0100
+
 libtool (2.4-2) unstable; urgency=low

   * Add support for hurd (Closes: #612204)
diff -Nru libtool-2.4/debian/patches/series libtool-2.4/debian/patches/series
--- libtool-2.4/debian/patches/series   2011-04-07 21:14:56.000000000 +0100
+++ libtool-2.4/debian/patches/series   2011-07-11 14:41:05.000000000 +0100
@@ -10,3 +10,4 @@
 tagdemo-libfoo.patch
 disable_cmdline_wrap4hurd.patch
 debian-changes-2.4-2
+skip_nonpic_on_arm.patchskip_nonpic_on_arm.patch
diff -Nru libtool-2.4/debian/patches/skip_nonpic_on_arm.patchskip_nonpic_on_arm.patch libtool-2.4/debian/patches/skip_nonpic_on_arm.patchskip_nonpic_on_arm.patch
--- libtool-2.4/debian/patches/skip_nonpic_on_arm.patchskip_nonpic_on_arm.patch 1970-01-01 01:00:00.000000000 +0100
+++ libtool-2.4/debian/patches/skip_nonpic_on_arm.patchskip_nonpic_on_arm.patch 2011-07-11 14:40:25.000000000 +0100
@@ -0,0 +1,13 @@
+Index: libtool-2.2.6b/tests/demo-nopic.test
+===================================================================
+--- libtool-2.2.6b.orig/tests/demo-nopic.test  2010-01-05 11:25:16.207207125 -0500
++++ libtool-2.2.6b/tests/demo-nopic.test       2010-01-05 11:25:26.677194871 -0500
+@@ -26,7 +26,7 @@
+ . tests/defs || exit 1
+
+ case "$host" in
+-hppa*|x86_64*|s390*|mips*)
++hppa*|x86_64*|s390*|mips*|arm*)
+       func_skip "$host doesn't like non-PIC shared libs"
+       ;;
+ *-solaris*|*-sunos*)

Snipet taken from
 < http://patches.ubuntu.com/libt/libtool/libtool_2.4-2ubuntu1.patch >

Best regards,
-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar System, which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Tue, 12 Jul 2011 02:57:05 GMT) Full text and rfc822 format available.

Reply sent to Kurt Roeckx <kurt@roeckx.be>:
You have taken responsibility. (Fri, 29 Jul 2011 15:36:21 GMT) Full text and rfc822 format available.

Notification sent to Clint Adams <clint@debian.org>:
Bug acknowledged by developer. (Fri, 29 Jul 2011 15:36:21 GMT) Full text and rfc822 format available.

Message #17 received at 632614-close@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: 632614-close@bugs.debian.org
Subject: Bug#632614: fixed in libtool 2.4-3
Date: Fri, 29 Jul 2011 15:33:11 +0000
Source: libtool
Source-Version: 2.4-3

We believe that the bug you reported is fixed in the latest version of
libtool, which is due to be installed in the Debian FTP archive:

libltdl-dev_2.4-3_amd64.deb
  to main/libt/libtool/libltdl-dev_2.4-3_amd64.deb
libltdl7_2.4-3_amd64.deb
  to main/libt/libtool/libltdl7_2.4-3_amd64.deb
libtool-doc_2.4-3_all.deb
  to main/libt/libtool/libtool-doc_2.4-3_all.deb
libtool_2.4-3.debian.tar.gz
  to main/libt/libtool/libtool_2.4-3.debian.tar.gz
libtool_2.4-3.dsc
  to main/libt/libtool/libtool_2.4-3.dsc
libtool_2.4-3_amd64.deb
  to main/libt/libtool/libtool_2.4-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 632614@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kurt Roeckx <kurt@roeckx.be> (supplier of updated libtool package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 29 Jul 2011 15:45:31 +0200
Source: libtool
Binary: libtool libtool-doc libltdl7 libltdl-dev
Architecture: source all amd64
Version: 2.4-3
Distribution: unstable
Urgency: low
Maintainer: Kurt Roeckx <kurt@roeckx.be>
Changed-By: Kurt Roeckx <kurt@roeckx.be>
Description: 
 libltdl-dev - A system independent dlopen wrapper for GNU libtool
 libltdl7   - A system independent dlopen wrapper for GNU libtool
 libtool    - Generic library support script
 libtool-doc - Generic library support script
Closes: 632613 632614
Changes: 
 libtool (2.4-3) unstable; urgency=low
 .
   * Also cat test-suite.log (Closes: #632613)
   * Also disable broken tests with non-PIC code on arm. (Closes: #632614)
Checksums-Sha1: 
 20c83cb20fd70ba7d8c3e65a14bbc29ca30fbe43 1842 libtool_2.4-3.dsc
 8fd797a3c9685b2480c47e8a1632a2d043d36a72 16797 libtool_2.4-3.debian.tar.gz
 c50222632aa725ea5179adea8e2e43814d019947 591012 libtool-doc_2.4-3_all.deb
 9d3b9ae8062cebaff49a6b246e0608987f82cee7 608642 libtool_2.4-3_amd64.deb
 ce59b4b26b6ef1112548ba160dbfd60148b0a2e2 345084 libltdl7_2.4-3_amd64.deb
 b747909641ae72465a149a25dc9f0d6d50bc40bd 203824 libltdl-dev_2.4-3_amd64.deb
Checksums-Sha256: 
 b79aa669a3b0ac274c0f7afb531b2b5cc531d727c71374bb298d5a8f681fd8dc 1842 libtool_2.4-3.dsc
 9f019aacd43540268e2646d0888d0801d3a12e170eac0ab122fd1bd1c0497f4e 16797 libtool_2.4-3.debian.tar.gz
 18870ba81e7e74c2383decb0e743b06b5c7f4a5880549ebce8b82e2909e508cc 591012 libtool-doc_2.4-3_all.deb
 967d05a3b2c55472fb1dfca0a19192d0d4c7a4c85853557b5c09845432e20d17 608642 libtool_2.4-3_amd64.deb
 1f3524683648667f4868b73c304c966c2e087fc2848becf4b4e9ddeedfece099 345084 libltdl7_2.4-3_amd64.deb
 99ef6dcf9e86ae4e754a09d3a91e18cc9bec846a86c7ccd343b96868694dd30d 203824 libltdl-dev_2.4-3_amd64.deb
Files: 
 97a195b1f016f6f8497e777807c1e9b2 1842 devel optional libtool_2.4-3.dsc
 85f615cccfc3fcd127bf7befaf2604e3 16797 devel optional libtool_2.4-3.debian.tar.gz
 aa782314b139d3073afe2d6acb6cf4c7 591012 doc optional libtool-doc_2.4-3_all.deb
 a090eb4707db8f27da0e18389dcbfb2a 608642 devel optional libtool_2.4-3_amd64.deb
 5aab3bfff8f525f1595b1b8c0ad2b012 345084 libs optional libltdl7_2.4-3_amd64.deb
 d0240189de28a202e9969ff4bb58964d 203824 libdevel optional libltdl-dev_2.4-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJOMsKvAAoJEGpMZM6DE7Xw9n0QAJLTrBUY89YCYl+ZCv7vs6QO
vEI2r+KU/NLScS+av1E1I0ztPaNYLZrPmMpDlk74o1s1th7u24uIH4aaEdVUQxIY
RDWmbUzEyh0+bDOSy1cRodzIrD0zvR+RJZ40Cm0Y2Q3NtUUG1LTMi8UMsUM+J1fu
Hxvpq6VozeYd1P81a4WgDW+m8es3YZ8Dz0/SLpOkc0AdUsgBHbg8sx0usGBqSN20
pTlfkWdcslDbAtfBjXhlcr93HMfa9F/jb4beCuM+iZmE2dLoJ7UeAQ3n783AoeeY
Q4m5mq59nPVcwLnZS9OXPo+7pW8kL7X/IomN9bdJMVfV3KAyqUKf/7xiO4cMq1ho
DTwG1S/F1Jm5iBj8aakiGU2uagXnd0EU6Uyxrja6R/ywjD9eSXnHiVXtS+p3Bu75
Z4ICiLaaSA7KiU13If+ZuNAJ/2cO3YVnS85BZELC9w3xi9/Uxw0mz4qcEAfXWvV2
Ylb5RPdthLBiY7c/Jkysz/eKaolKzXoK1q6F0Sjg5TAtEo5zF0wuitopHK3Ab1Yu
0HVE9wcrdgzLxwKkL884sXRizjPlyVOLh1lpq69C+HMRvpRGlWY3WhERDwl9O3fZ
7Pi33xBT3rGdAYQ7uZ7EhXAAPCzd/DU1RhlcHCtZ12j0TvmtE2MtnPPCigJt2rB4
GFrN4tls14oI8jMubjtT
=6Dz/
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Kurt Roeckx <kurt@roeckx.be>:
Bug#632614; Package libtool. (Fri, 19 Aug 2011 20:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to lsorense@csclub.uwaterloo.ca (Lennart Sorensen):
Extra info received and forwarded to list. Copy sent to Kurt Roeckx <kurt@roeckx.be>. (Fri, 19 Aug 2011 20:00:05 GMT) Full text and rfc822 format available.

Message #22 received at 632614@bugs.debian.org (full text, mbox):

From: lsorense@csclub.uwaterloo.ca (Lennart Sorensen)
To: 632614@bugs.debian.org
Subject: Tests still broken on armhf
Date: Fri, 19 Aug 2011 15:51:09 -0400
There is still a nonpic test failure on armhf (and quite likely still
arm).  The following seems to fix it for me (similar to the patch made
in the last release to another file):

--- libtool-2.4.old/tests/demo-nopic.test       2011-08-19 19:10:50.000000000 +0000
+++ libtool-2.4/tests/demo-nopic.test   2011-08-19 17:01:17.000000000 +0000
@@ -26,7 +26,7 @@
 . tests/defs || exit 1
 
 case "$host" in
-hppa*|x86_64*|s390*|mips*)
+hppa*|x86_64*|s390*|mips*|arm*)
        func_skip "$host doesn't like non-PIC shared libs"
        ;;
 *-solaris*|*-sunos*)

-- 
Len Sorensen




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#632614; Package libtool. (Fri, 19 Aug 2011 20:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. (Fri, 19 Aug 2011 20:21:03 GMT) Full text and rfc822 format available.

Message #27 received at 632614@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Lennart Sorensen <lsorense@csclub.uwaterloo.ca>, 632614@bugs.debian.org
Subject: Re: Bug#632614: Tests still broken on armhf
Date: Fri, 19 Aug 2011 22:16:38 +0200
On Fri, Aug 19, 2011 at 03:51:09PM -0400, Lennart Sorensen wrote:
> There is still a nonpic test failure on armhf (and quite likely still
> arm).  The following seems to fix it for me (similar to the patch made
> in the last release to another file):

Crap, I so start to hate dpkg auto generating diff files.

You need to remove debian-changes-2.4-3


Kurt





Reply sent to Kurt Roeckx <kurt@roeckx.be>:
You have taken responsibility. (Wed, 24 Aug 2011 15:36:03 GMT) Full text and rfc822 format available.

Notification sent to Clint Adams <clint@debian.org>:
Bug acknowledged by developer. (Wed, 24 Aug 2011 15:36:03 GMT) Full text and rfc822 format available.

Message #32 received at 632614-close@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: 632614-close@bugs.debian.org
Subject: Bug#632614: fixed in libtool 2.4-4
Date: Wed, 24 Aug 2011 15:33:08 +0000
Source: libtool
Source-Version: 2.4-4

We believe that the bug you reported is fixed in the latest version of
libtool, which is due to be installed in the Debian FTP archive:

libltdl-dev_2.4-4_amd64.deb
  to main/libt/libtool/libltdl-dev_2.4-4_amd64.deb
libltdl7_2.4-4_amd64.deb
  to main/libt/libtool/libltdl7_2.4-4_amd64.deb
libtool-doc_2.4-4_all.deb
  to main/libt/libtool/libtool-doc_2.4-4_all.deb
libtool_2.4-4.debian.tar.gz
  to main/libt/libtool/libtool_2.4-4.debian.tar.gz
libtool_2.4-4.dsc
  to main/libt/libtool/libtool_2.4-4.dsc
libtool_2.4-4_amd64.deb
  to main/libt/libtool/libtool_2.4-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 632614@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kurt Roeckx <kurt@roeckx.be> (supplier of updated libtool package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 24 Aug 2011 14:10:54 +0000
Source: libtool
Binary: libtool libtool-doc libltdl7 libltdl-dev
Architecture: source all amd64
Version: 2.4-4
Distribution: unstable
Urgency: low
Maintainer: Kurt Roeckx <kurt@roeckx.be>
Changed-By: Kurt Roeckx <kurt@roeckx.be>
Description: 
 libltdl-dev - A system independent dlopen wrapper for GNU libtool
 libltdl7   - A system independent dlopen wrapper for GNU libtool
 libtool    - Generic library support script
 libtool-doc - Generic library support script
Closes: 632614
Changes: 
 libtool (2.4-4) unstable; urgency=low
 .
   * dpkg-dev decided to also reverse apply the arm change, so remove
     the revert (Closes: #632614)
Checksums-Sha1: 
 cd26d19c5e33751fb81f850aedafb10f74f72c55 1842 libtool_2.4-4.dsc
 094da70a3eca99e613df5859c64f2b364b3f5e5e 16383 libtool_2.4-4.debian.tar.gz
 e068e6b2f1acf717c14404f74ee68dceda823e49 591042 libtool-doc_2.4-4_all.deb
 2dc9ea315d2d82e0935212269a122b7f477cb169 608692 libtool_2.4-4_amd64.deb
 82ab31e420542108cf13a3b62a1cc3f6e442f55a 345126 libltdl7_2.4-4_amd64.deb
 fb93db8fb6119edafb4bef500a5808545c562b2c 203830 libltdl-dev_2.4-4_amd64.deb
Checksums-Sha256: 
 bb6ca3c1eae82f4aeb1d72f4392814e5776e0d0c22f045bf4c7096f50c91f854 1842 libtool_2.4-4.dsc
 975b7d5d31297d6987fa4e91674822c2a1fd3e53b344363c6800e96cc1d445ad 16383 libtool_2.4-4.debian.tar.gz
 4c3ed247ee8a567772759c643a225da5fccc36ee3eeaa0da443de05faa1a25dc 591042 libtool-doc_2.4-4_all.deb
 850e0a0a75115a9f764fa476c1fee8dca38805ce0bc41c61bda1cabac4e13f67 608692 libtool_2.4-4_amd64.deb
 37d509b4cab90262cd5e9897ff991534a66666201e71c2b3a8922152e35b6198 345126 libltdl7_2.4-4_amd64.deb
 fda12cf0b6077c14bb1db93e22472a74873736ce5d26de08555b5b2f0f060d9c 203830 libltdl-dev_2.4-4_amd64.deb
Files: 
 6b006cede753ab6e1f68cda75d188af5 1842 devel optional libtool_2.4-4.dsc
 79f31c36935aeb09a1ae54cba0ae1b8a 16383 devel optional libtool_2.4-4.debian.tar.gz
 6217c6da3c6f738743037dd003d1c3b9 591042 doc optional libtool-doc_2.4-4_all.deb
 c76d285fe1e62f3e9c87abaca33d17e3 608692 devel optional libtool_2.4-4_amd64.deb
 440cf0c4a3ed243ea49c1e13d9b2a2d4 345126 libs optional libltdl7_2.4-4_amd64.deb
 cd85b53442c1f21900a8830374659194 203830 libdevel optional libltdl-dev_2.4-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJOVRYlAAoJEGpMZM6DE7XwmAQP/jUAGnwpoeUMm/ZP/rFXETaz
MWmIOJcRjv6MkP5tVjsQP1/ncyaxMyt5rNVbiL76QoWAC8yfD7O9+3u2KyKWb7xK
v/9xpGLLID/bDP2jfu27/HYn5RvELcOtVWI+rRIOS8mpkPwKVv8QxRcKF4t5LALx
06sjpuh6662hsPJJ+BlsV59/WIG51c6WCFhez095/fhpASCRnAYQsMdiTWQ+ItSo
5+KMH9Wg0AEY7pylnqkGn/PF/kZMtEMTURe2JGmlBIiiCJiiuw774JMDkkTQc30Q
RG5AbjfJZvBHW5m8TQ9c1I/WjVNwnV3MCIvQWoZILrUpCdNYrL1NgNjZt7EnjbAZ
ZaftrQ9w56eXrFaDGbHUEdNJxU8Qv4CpLQHWABfCQCuhbvOty8G0nrOU6NCDoNWt
qZKFpJWg32t9Oel2To3St0DHwQDHdMCIKZBnqqHHL0Vr6JKrV5XUCEySdhjzmW+9
7vdtvKDuwz8dep9+DP6b9LxHD9Q2jiZ9VGKVlZzA23QSEPuz2RGowSidFHkt1aHw
rgSTEnJAp5rKeBAEh4eXL6o9ONfaUExvrSAurveVTK6M3B/AcVYMpeZAWXqO/7fy
XJ7dRXwoIub3DewxzGLFhrleai6OeJE4IuSKvdSHw3TtEzxp/Q/jlicLjx4BBk7s
KcDq+/PGDucoUtqXmwJU
=klbS
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 22 Sep 2011 07:33:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 06:40:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.